package main

import (
	"os/exec"
	"testing"
)

func TestBinaryCompiles(t *testing.T) {
	cmd := exec.Command("go", "build", "./...")
	out, err := cmd.CombinedOutput()
	if err != nil {
		t.Fatalf("build failed: %s\n%s", err, out)
	}
}
